/*
   program : various

   $Source: /home/yee/C/RCS/array.h,v $
   $Author: yee $
   $Date: 1999/02/10 16:38:05 $
   $Revision: 8.41 $

   This is the include file for array.c

   $Log: array.h,v $
   Revision 8.41  1999/02/10 16:38:05  yee
   *** empty log message ***

   Revision 8.40  1998/08/22 15:37:39  yee
   all geometries work!

   Copyright (C) 1993,1994,1996,1997 by  Conway Yee.  All Rights Reserved.

   char[]="$Id: array.h,v 8.41 1999/02/10 16:38:05 yee Exp $";
*/

/*****************************************************************************/
/*****************************************************************************/

#include <stdio.h>
#include <math.h>
#include <ctype.h>

#include "style.h"
#include "codes.h"

#ifndef ARRAY_H
#define ARRAY_H

        /* makes the proper #defines to account for function dependencies */
#ifdef MDVMALLOC
#ifndef MDMALLOC
#define MDMALLOC
#endif
#endif
#ifdef MDMALLOC
#ifndef MDFREE
#define MDFREE
#endif
#endif

#ifdef MDVMALLOC
    extern void *mdvmalloc();    /* allocates an arbitrary array */
#endif MDVMALLOC

#ifdef MDMALLOC
    extern void *mdmalloc(int,int,MODE,int *); /* alloc arbitrary array */
#endif MDMALLOC

#ifdef MDFREE                  /* free memory alloc'ed by mdmalloc() */
    extern void mdfree(int,void *,int,int *);
#endif MDFREE

#ifdef MDIO                    /* read/write array from/to file */
    extern void *mdio(FILE *,unsigned int,unsigned int,unsigned int,void *,
                      size_t (*IO)(),int *);
#endif MDIO

#ifdef MDACCESS                /* apply func() to each element of array */
    extern void mdaccess(unsigned int,unsigned int,void *,void (*)(),int *,
                         int *,double *);
#endif MDACCESS

#endif ARRAY_H
